diff --git a/snf-pithos-app/pithos/api/management/commands/storagequota.py b/snf-pithos-app/pithos/api/management/commands/storagequota.py
index 7a84dc8..34d5d15 100644
--- a/snf-pithos-app/pithos/api/management/commands/storagequota.py
+++ b/snf-pithos-app/pithos/api/management/commands/storagequota.py
@@ -36,28 +36,28 @@ from optparse import make_option
 from django.core.management.base import BaseCommand, CommandError
 
 from pithos.api.settings import (BACKEND_DB_MODULE, BACKEND_DB_CONNECTION,
-                                    BACKEND_BLOCK_MODULE, BACKEND_BLOCK_PATH,
-                                    BACKEND_BLOCK_UMASK,
-                                    BACKEND_QUEUE_MODULE, BACKEND_QUEUE_CONNECTION,
-                                    BACKEND_QUOTA, BACKEND_VERSIONING)
+                                 BACKEND_BLOCK_MODULE, BACKEND_BLOCK_PATH,
+                                 BACKEND_BLOCK_UMASK,
+                                 BACKEND_QUEUE_MODULE, BACKEND_QUEUE_CONNECTION,
+                                 BACKEND_QUOTA, BACKEND_VERSIONING)
 from pithos.backends import connect_backend
 
 
 class Command(BaseCommand):
     args = "<user>"
     help = "Get/set a user's quota"
-    
+
     option_list = BaseCommand.option_list + (
         make_option('--set-quota',
-            dest='quota',
-            metavar='BYTES',
-            help="Set user's quota"),
-        )
-    
+                    dest='quota',
+                    metavar='BYTES',
+                    help="Set user's quota"),
+    )
+
     def handle(self, *args, **options):
         if len(args) != 1:
             raise CommandError("Please provide a user")
-        
+
         user = args[0]
         quota = options.get('quota')
         if quota is not None:
@@ -65,7 +65,7 @@ class Command(BaseCommand):
                 quota = int(quota)
             except ValueError:
                 raise CommandError("Invalid quota")
-        
+
         backend = connect_backend(db_module=BACKEND_DB_MODULE,
                                   db_connection=BACKEND_DB_CONNECTION,
                                   block_module=BACKEND_BLOCK_MODULE,
@@ -78,5 +78,6 @@ class Command(BaseCommand):
         if quota is not None:
             backend.update_account_policy(user, user, {'quota': quota})
         else:
-            self.stdout.write("Quota for %s: %s\n" % (user, backend.get_account_policy(user, user)['quota']))
+            self.stdout.write("Quota for %s: %s\n" % (
+                user, backend.get_account_policy(user, user)['quota']))
         backend.close()
diff --git a/snf-pithos-app/pithos/api/public.py b/snf-pithos-app/pithos/api/public.py
index 06db2ed..c23a3ee 100644
--- a/snf-pithos-app/pithos/api/public.py
+++ b/snf-pithos-app/pithos/api/public.py
@@ -1,18 +1,18 @@
 # Copyright 2011-2012 GRNET S.A. All rights reserved.
-# 
+#
 # Redistribution and use in source and binary forms, with or
 # without modification, are permitted provided that the following
 # conditions are met:
-# 
+#
 #   1. Redistributions of source code must retain the above
 #      copyright notice, this list of conditions and the following
 #      disclaimer.
-# 
+#
 #   2. Redistributions in binary form must reproduce the above
 #      copyright notice, this list of conditions and the following
 #      disclaimer in the documentation and/or other materials
 #      provided with the distribution.
-# 
+#
 # THIS SOFTWARE IS PROVIDED BY GRNET S.A. ``AS IS'' AND ANY EXPRESS
 # OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 # WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
@@ -25,7 +25,7 @@
 # LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 # ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 # POSSIBILITY OF SUCH DAMAGE.
-# 
+#
 # The views and conclusions contained in the software and
 # documentation are those of the authors and should not be
 # interpreted as representing official policies, either expressed
@@ -40,8 +40,8 @@ from synnefo.lib.astakos import get_user
 
 from pithos.api.faults import (Fault, BadRequest, ItemNotFound)
 from pithos.api.util import (put_object_headers, update_manifest_meta,
-    validate_modification_preconditions, validate_matching_preconditions,
-    object_data_response, api_method)
+                             validate_modification_preconditions, validate_matching_preconditions,
+                             object_data_response, api_method)
 from pithos.api.short_url import decode_url
 from pithos.api.settings import AUTHENTICATION_URL, AUTHENTICATION_USERS
 
@@ -59,31 +59,35 @@ def public_demux(request, v_public):
     else:
         return method_not_allowed(request)
 
+
 @api_method('HEAD', user_required=False)
 def public_meta(request, v_public):
     # Normal Response Codes: 204
     # Error Response Codes: internalServerError (500),
     #                       itemNotFound (404),
     #                       badRequest (400)
-    
+
     try:
-        v_account, v_container, v_object = request.backend.get_public(request.user_uniq,
-                                                    decode_url(v_public))
+        v_account, v_container, v_object = request.backend.get_public(
+            request.user_uniq,
+            decode_url(v_public))
         meta = request.backend.get_object_meta(request.user_uniq, v_account,
-                                                    v_container, v_object, 'pithos')
-        public = request.backend.get_object_public(request.user_uniq, v_account,
-                                                    v_container, v_object)
+                                               v_container, v_object, 'pithos')
+        public = request.backend.get_object_public(
+            request.user_uniq, v_account,
+            v_container, v_object)
     except:
         raise ItemNotFound('Object does not exist')
-    
+
     if not public:
         raise ItemNotFound('Object does not exist')
     update_manifest_meta(request, v_account, meta)
-    
+
     response = HttpResponse(status=200)
     put_object_headers(response, meta, True)
     return response
 
+
 @api_method('GET', user_required=False)
 def public_read(request, v_public):
     # Normal Response Codes: 200, 206
@@ -93,21 +97,22 @@ def public_read(request, v_public):
     #                       itemNotFound (404),
     #                       badRequest (400),
     #                       notModified (304)
-    
     try:
-        v_account, v_container, v_object = request.backend.get_public(request.user_uniq,
-                                                    decode_url(v_public))
+        v_account, v_container, v_object = request.backend.get_public(
+            request.user_uniq,
+            decode_url(v_public))
         meta = request.backend.get_object_meta(request.user_uniq, v_account,
-                                                    v_container, v_object, 'pithos')
-        public = request.backend.get_object_public(request.user_uniq, v_account,
-                                                    v_container, v_object)
+                                               v_container, v_object, 'pithos')
+        public = request.backend.get_object_public(
+            request.user_uniq, v_account,
+            v_container, v_object)
     except:
         raise ItemNotFound('Object does not exist')
-    
+
     if not public:
         raise ItemNotFound('Object does not exist')
     update_manifest_meta(request, v_account, meta)
-    
+
     # Evaluate conditions.
     validate_modification_preconditions(request, meta)
     try:
@@ -116,42 +121,46 @@ def public_read(request, v_public):
         response = HttpResponse(status=304)
         response['ETag'] = meta['ETag']
         return response
-    
+
     sizes = []
     hashmaps = []
     if 'X-Object-Manifest' in meta:
         try:
-            src_container, src_name = split_container_object_string('/' + meta['X-Object-Manifest'])
-            objects = request.backend.list_objects(request.user_uniq, v_account,
-                                src_container, prefix=src_name, virtual=False)
+            src_container, src_name = split_container_object_string(
+                '/' + meta['X-Object-Manifest'])
+            objects = request.backend.list_objects(
+                request.user_uniq, v_account,
+                src_container, prefix=src_name, virtual=False)
         except:
             raise ItemNotFound('Object does not exist')
-        
+
         try:
             for x in objects:
                 s, h = request.backend.get_object_hashmap(request.user_uniq,
-                                        v_account, src_container, x[0], x[1])
+                                                          v_account, src_container, x[0], x[1])
                 sizes.append(s)
                 hashmaps.append(h)
         except:
             raise ItemNotFound('Object does not exist')
     else:
         try:
-            s, h = request.backend.get_object_hashmap(request.user_uniq, v_account,
-                                                        v_container, v_object)
+            s, h = request.backend.get_object_hashmap(
+                request.user_uniq, v_account,
+                v_container, v_object)
             sizes.append(s)
             hashmaps.append(h)
         except:
             raise ItemNotFound('Object does not exist')
-    
+
     if 'Content-Disposition' not in meta:
         name = v_object.rstrip('/').split('/')[-1]
         if not name:
             name = v_public
         meta['Content-Disposition'] = 'attachment; filename=%s' % (name,)
-    
+
     return object_data_response(request, sizes, hashmaps, meta, True)
 
+
 @api_method(user_required=False)
 def method_not_allowed(request, **v_args):
     raise ItemNotFound('Object does not exist')
diff --git a/snf-pithos-app/pithos/api/settings.py b/snf-pithos-app/pithos/api/settings.py
index ad56a47..4b6ff12 100644
--- a/snf-pithos-app/pithos/api/settings.py
+++ b/snf-pithos-app/pithos/api/settings.py
@@ -15,26 +15,33 @@ sample_users = {
     '0009': 'διογένης'
 }
 
-AUTHENTICATION_URL = getattr(settings, 'PITHOS_AUTHENTICATION_URL', 'http://127.0.0.1:8000/im/authenticate')
+AUTHENTICATION_URL = getattr(settings, 'PITHOS_AUTHENTICATION_URL',
+                             'http://127.0.0.1:8000/im/authenticate')
 AUTHENTICATION_USERS = getattr(settings, 'PITHOS_AUTHENTICATION_USERS', {})
 
 COOKIE_NAME = getattr(settings, 'ASTAKOS_COOKIE_NAME', '_pithos2_a')
 
 # SQLAlchemy (choose SQLite/MySQL/PostgreSQL).
-BACKEND_DB_MODULE = getattr(settings, 'PITHOS_BACKEND_DB_MODULE', 'pithos.backends.lib.sqlalchemy')
-BACKEND_DB_CONNECTION = getattr(settings, 'PITHOS_BACKEND_DB_CONNECTION', 'sqlite:////tmp/pithos-backend.db')
+BACKEND_DB_MODULE = getattr(
+    settings, 'PITHOS_BACKEND_DB_MODULE', 'pithos.backends.lib.sqlalchemy')
+BACKEND_DB_CONNECTION = getattr(settings, 'PITHOS_BACKEND_DB_CONNECTION',
+                                'sqlite:////tmp/pithos-backend.db')
 
 # Block storage.
-BACKEND_BLOCK_MODULE = getattr(settings, 'PITHOS_BACKEND_BLOCK_MODULE', 'pithos.backends.lib.hashfiler')
-BACKEND_BLOCK_PATH = getattr(settings, 'PITHOS_BACKEND_BLOCK_PATH', '/tmp/pithos-data/')
+BACKEND_BLOCK_MODULE = getattr(
+    settings, 'PITHOS_BACKEND_BLOCK_MODULE', 'pithos.backends.lib.hashfiler')
+BACKEND_BLOCK_PATH = getattr(
+    settings, 'PITHOS_BACKEND_BLOCK_PATH', '/tmp/pithos-data/')
 BACKEND_BLOCK_UMASK = getattr(settings, 'PITHOS_BACKEND_BLOCK_UMASK', 0o022)
 
 # Queue for billing.
-BACKEND_QUEUE_MODULE = getattr(settings, 'PITHOS_BACKEND_QUEUE_MODULE', None) # Example: 'pithos.backends.lib.rabbitmq'
-BACKEND_QUEUE_CONNECTION = getattr(settings, 'PITHOS_BACKEND_QUEUE_CONNECTION', None) # Example: 'rabbitmq://guest:guest@localhost:5672/pithos'
+BACKEND_QUEUE_MODULE = getattr(settings, 'PITHOS_BACKEND_QUEUE_MODULE',
+                               None)  # Example: 'pithos.backends.lib.rabbitmq'
+BACKEND_QUEUE_CONNECTION = getattr(settings, 'PITHOS_BACKEND_QUEUE_CONNECTION', None)  # Example: 'rabbitmq://guest:guest@localhost:5672/pithos'
 
 # Default setting for new accounts.
-BACKEND_QUOTA = getattr(settings, 'PITHOS_BACKEND_QUOTA', 50 * 1024 * 1024 * 1024)
+BACKEND_QUOTA = getattr(
+    settings, 'PITHOS_BACKEND_QUOTA', 50 * 1024 * 1024 * 1024)
 BACKEND_VERSIONING = getattr(settings, 'PITHOS_BACKEND_VERSIONING', 'auto')
 
 # Update object checksums when using hashmaps.
diff --git a/snf-pithos-app/pithos/api/urls.py b/snf-pithos-app/pithos/api/urls.py
index b6a66af..83a3aa5 100644
--- a/snf-pithos-app/pithos/api/urls.py
+++ b/snf-pithos-app/pithos/api/urls.py
@@ -1,18 +1,18 @@
 # Copyright 2011-2012 GRNET S.A. All rights reserved.
-# 
+#
 # Redistribution and use in source and binary forms, with or
 # without modification, are permitted provided that the following
 # conditions are met:
-# 
+#
 #   1. Redistributions of source code must retain the above
 #      copyright notice, this list of conditions and the following
 #      disclaimer.
-# 
+#
 #   2. Redistributions in binary form must reproduce the above
 #      copyright notice, this list of conditions and the following
 #      disclaimer in the documentation and/or other materials
 #      provided with the distribution.
-# 
+#
 # THIS SOFTWARE IS PROVIDED BY GRNET S.A. ``AS IS'' AND ANY EXPRESS
 # OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 # WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
@@ -25,7 +25,7 @@
 # LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 # ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 # POSSIBILITY OF SUCH DAMAGE.
-# 
+#
 # The views and conclusions contained in the software and
 # documentation are those of the authors and should not be
 # interpreted as representing official policies, either expressed
@@ -35,16 +35,22 @@ from django.conf.urls.defaults import include, patterns
 
 # TODO: This only works when in this order.
 api_urlpatterns = patterns('pithos.api.functions',
-    (r'^$', 'top_demux'),
-    (r'^(?P<v_account>.+?)/(?P<v_container>.+?)/(?P<v_object>.+?)$', 'object_demux'),
-    (r'^(?P<v_account>.+?)/(?P<v_container>.+?)/?$', 'container_demux'),
-    (r'^(?P<v_account>.+?)/?$', 'account_demux')
-)
+                           (r'^$', 'top_demux'),
+                           (
+                               r'^(?P<v_account>.+?)/(?P<v_container>.+?)/(?P<v_object>.+?)$',
+                           'object_demux'),
+                           (r'^(?P<v_account>.+?)/(?P<v_container>.+?)/?$',
+                            'container_demux'),
+                           (r'^(?P<v_account>.+?)/?$', 'account_demux')
+                           )
 
 urlpatterns = patterns('',
-    (r'^v1(?:$|/)', include(api_urlpatterns)),
-    (r'^v1\.0(?:$|/)', include(api_urlpatterns)),
-    (r'^public/(?P<v_public>.+?)/?$', 'pithos.api.public.public_demux'),
-    (r'^login/?$', 'pithos.api.delegate.delegate_to_login_service'),
-    (r'^feedback/?$', 'pithos.api.delegate.delegate_to_feedback_service'),
-)
+                       (r'^v1(?:$|/)', include(api_urlpatterns)),
+                       (r'^v1\.0(?:$|/)', include(api_urlpatterns)),
+                       (r'^public/(?P<v_public>.+?)/?$',
+                        'pithos.api.public.public_demux'),
+                       (r'^login/?$',
+                        'pithos.api.delegate.delegate_to_login_service'),
+                       (r'^feedback/?$',
+                        'pithos.api.delegate.delegate_to_feedback_service'),
+                       )
